Views: 15736
Number of votes: 7
Average rating:

EPiServer Products and Internet Explorer 8

The latest version of Internet Explorer, version 8, is soon to be made available as a high-priority update through Automatic Updates from Microsoft. It's only reasonable that Microsoft update their Web browser to a more secure and up-to-date version, but this has implications on EPiServer-based Web sites that run on a version that does not support  Internet Explorer 8. This article outlines how an automatic update to Internet Explorer 8 affects EPiServer products.

EPiServer answers the compatibility issue for sites run on EPiServer CMS 5 by releasing a service pack version. EPiServer CMS 5 R2 SP2 is the first released version of EPiServer CMS to have full support for IE8. A hotfix will be released for EPiServer CMS 4 during fall 2009.

QUICK EPiSERVER PRODUCT UPGRADE FACTS

What are the implications of installing Internet Explorer 8?

Well, obviously Internet Explorer 8 is a more secure Web browser so it's not all bad news, but there are some things to be aware of regarding sites based on EPiServer products. Like Microsoft, we recommend that IT organizations only introduce IE8 throughout their organization after compatibility has been tested with all internal applications and services, and that includes both EPiServer products and Web sites based on EPiServer products.

There is a way of getting around a large amount of the problems that occur by forcing the Web site to run in Internet Explorer 7 mode, although the only way to guarantee compatibility is to upgrade to a version that officially supports Internet Explorer 8. Further information about how to do avoid some of the problems can be found in the FAQ, Configure IIS to get Internet Explorer 8 to run in Internet Explorer 7 mode.

NOTE Running the Web site in Internet Explorer 7 mode will not solve the problems that occur when working with the Forms Editor. Other minor editorial errors may also occur. The only way to solve these problems is by upgrading to a version of EPiServer CMS that fully supports Internet Explorer 8.

How can I avoid problems resulting from installation of Internet Explorer 8?

The only real way to avoid problems that have occurred after the installation of Internet Explorer 8 is to upgrade your Web site to a version that supports IE8.

Further Information

Please login to comment.